| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions | Variables
Elements.cpp File Reference

This file contains a database of atomic weights. More...

`#include "cantera/thermo/Elements.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ctexceptions.h"`
Include dependency graph for Elements.cpp:

## Detailed Description

This file contains a database of atomic weights.

Definition in file Elements.cpp.

Go to the source code of this file.

## Classes
struct | atomicWeightData
| Database for atomic weights. More...
struct | isotopeWeightData
| Database for named isotopic weights. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
vector< string > | elementVectorsFromSymbols ()
const vector< string > & | elementSymbols ()
| Get a vector of the atomic symbols of the elements defined in Cantera.
vector< string > | elementVectorsFromNames ()
const vector< string > & | elementNames ()
| Get a vector of the names of the elements defined in Cantera.
map< string, double > | mapAtomicWeights ()
const map< string, double > & | elementWeights ()
| Get a map with the element and isotope symbols and names as keys and weights as values.
double | getElementWeight (const string &ename)
| Get the atomic weight of an element.
double | getElementWeight (int atomicNumber)
| Get the atomic weight of an element.
string | getElementSymbol (const string &ename)
| Get the symbol for an element.
string | getElementSymbol (int atomicNumber)
| Get the symbol for an element.
string | getElementName (const string &ename)
| Get the name of an element.
string | getElementName (int atomicNumber)
| Get the name of an element.
int | getAtomicNumber (const string &ename)
| Get the atomic number for an element.
size_t | numElementsDefined ()
| Get the number of named elements defined in Cantera.
size_t | numIsotopesDefined ()
| Get the number of named isotopes defined in Cantera.

## Variables
static vector< atomicWeightData > | atomicWeightTable
| atomicWeightTable is a vector containing the atomic weights database.
static vector< isotopeWeightData > | isotopeWeightTable
| isotopeWeightTable is a vector containing the atomic weights database.